org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

All Implemented Interfaces:
  java.lang.Comparable, GroovyTokenTypes, GroovyDoc

Direct Known Subclasses:
  SimpleGroovyPackageDoc, SimpleGroovyProgramElementDoc, SimpleGroovyRootDoc

    public class SimpleGroovyDoc
    extends java.lang.Object
    implements GroovyDoc, GroovyTokenTypes

### Field Summary

### Fields inherited from interface org.codehaus.groovy.antlr.parser.GroovyTokenTypes

`ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ASSIGN, AT, BAND, BAND_ASSIGN, BIG_SUFFIX, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CLASS_DEF, CLOSABLE_BLOCK, CLOSABLE_BLOCK_OP, CLOSURE_LIST, COLON, COMMA, COMPARE_TO, CTOR_CALL, CTOR_IDENT, DEC, DIGIT, DIGITS_WITH_UNDERSCORE, DIGITS_WITH_UNDERSCORE_OPT, DIV, DIV_ASSIGN, DOLLAR, DOLLAR_REGEXP_CTOR_END, DOLLAR_REGEXP_LITERAL, DOLLAR_REGEXP_SYMBOL, DOT, DYNAMIC_MEMBER, ELIST, ELVIS_OPERATOR, EMPTY_STAT, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, ESCAPED_DOLLAR, ESCAPED_SLASH, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_IN_ITERABLE, FOR_INIT, FOR_ITERATOR, GE, GT, HEX_DIGIT, IDENT, IDENTICAL, IMPLEMENTS_CLAUSE, IMPLICIT_PARAMETERS, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INTERFACE_DEF, LABELED_ARG, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LETTER, LIST_CONSTRUCTOR, LITERAL_as, LITERAL_assert, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_def, LITERAL_default, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_in, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_threadsafe, LITERAL_throw, LITERAL_throws, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LOR, LPAREN, LT, MAP_CONSTRUCTOR, MEMBER_POINTER, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, MULTICATCH, MULTICATCH_TYPES, NLS, NOT_EQUAL, NOT_IDENTICAL, NULL_TREE_LOOKAHEAD, NUM_BIG_DECIMAL, NUM_BIG_INT, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, ONE_NL, OPTIONAL_DOT, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RANGE_EXCLUSIVE, RANGE_INCLUSIVE, RBRACK, RCURLY, REGEX_FIND, REGEX_MATCH, REGEXP_CTOR_END, REGEXP_LITERAL, REGEXP_SYMBOL, RPAREN, SELECT_SLOT, SEMI, SH_COMMENT, SL, SL_ASSIGN, SL_COMMENT, SLIST, SPREAD_ARG, SPREAD_DOT, SPREAD_MAP_ARG, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STAR_STAR, STAR_STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STRICTFP, STRING_CH, STRING_CONSTRUCTOR, STRING_CTOR_END, STRING_CTOR_MIDDLE, STRING_CTOR_START, STRING_LITERAL, STRING_NL, SUPER_CTOR_CALL, TRIPLE_DOT, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, UNUSED_CONST, UNUSED_DO, UNUSED_GOTO, VARIABLE_DEF, VARIABLE_PARAMETER_DEF, VOCAB, WILDCARD_TYPE, WS`

### Constructor Summary

Constructors
Constructor and Description
`SimpleGroovyDoc(java.lang.String name)`

### Method Summary

Methods
`static java.lang.String` `calculateFirstSentence(java.lang.String raw)`
`java.lang.String` `commentText()`
`int` `compareTo(java.lang.Object that)`
`java.lang.String` `firstSentenceCommentText()`
`java.lang.String` `getRawCommentText()`
`java.lang.String` `getTypeDescription()`
`java.lang.String` `getTypeSourceDescription()`
`boolean` `isAnnotationType()`
`boolean` `isAnnotationTypeElement()`
`boolean` `isClass()`
`boolean` `isConstructor()`
`boolean` `isDeprecated()`
`boolean` `isEnum()`
`boolean` `isEnumConstant()`
`boolean` `isError()`
`boolean` `isException()`
`boolean` `isField()`
`boolean` `isIncluded()`
`boolean` `isInterface()`
`boolean` `isMethod()`
`boolean` `isOrdinaryClass()`
`boolean` `isScript()`
`java.lang.String` `name()`
`protected void` `setCommentText(java.lang.String commentText)`
`void` `setDeprecated(boolean deprecated)`
`protected void` `setFirstSentenceCommentText(java.lang.String firstSentenceCommentText)`
`void` `setRawCommentText(java.lang.String rawCommentText)`
`void` `setScript(boolean script)`
`void` `setTokenType(int t)`
`GroovyTag[]` `tags()`
`int` `tokenType()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleGroovyDoc

    public SimpleGroovyDoc(java.lang.String name)

### Method Detail

#### name

    public java.lang.String name()

Specified by:
  `name` in interface `GroovyDoc`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### setCommentText

    protected void setCommentText(java.lang.String commentText)

#### setFirstSentenceCommentText

    protected void setFirstSentenceCommentText(java.lang.String firstSentenceCommentText)

#### commentText

    public java.lang.String commentText()

Specified by:
  `commentText` in interface `GroovyDoc`

#### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

Specified by:
  `firstSentenceCommentText` in interface `GroovyDoc`

#### getRawCommentText

    public java.lang.String getRawCommentText()

Specified by:
  `getRawCommentText` in interface `GroovyDoc`

#### setRawCommentText

    public void setRawCommentText(java.lang.String rawCommentText)

Specified by:
  `setRawCommentText` in interface `GroovyDoc`

#### setScript

    public void setScript(boolean script)

#### calculateFirstSentence

    public static java.lang.String calculateFirstSentence(java.lang.String raw)

#### isClass

    public boolean isClass()

Specified by:
  `isClass` in interface `GroovyDoc`

#### isScript

    public boolean isScript()

#### isInterface

    public boolean isInterface()

Specified by:
  `isInterface` in interface `GroovyDoc`

#### isAnnotationType

    public boolean isAnnotationType()

Specified by:
  `isAnnotationType` in interface `GroovyDoc`

#### isEnum

    public boolean isEnum()

Specified by:
  `isEnum` in interface `GroovyDoc`

#### getTypeDescription

    public java.lang.String getTypeDescription()

#### getTypeSourceDescription

    public java.lang.String getTypeSourceDescription()

#### setTokenType

    public void setTokenType(int t)

#### tokenType

    public int tokenType()

#### compareTo

    public int compareTo(java.lang.Object that)

Specified by:
  `compareTo` in interface `java.lang.Comparable`

#### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

Specified by:
  `isAnnotationTypeElement` in interface `GroovyDoc`

#### isConstructor

    public boolean isConstructor()

Specified by:
  `isConstructor` in interface `GroovyDoc`

#### isEnumConstant

    public boolean isEnumConstant()

Specified by:
  `isEnumConstant` in interface `GroovyDoc`

#### isDeprecated

    public boolean isDeprecated()

Specified by:
  `isDeprecated` in interface `GroovyDoc`

#### isError

    public boolean isError()

Specified by:
  `isError` in interface `GroovyDoc`

#### isException

    public boolean isException()

Specified by:
  `isException` in interface `GroovyDoc`

#### isField

    public boolean isField()

Specified by:
  `isField` in interface `GroovyDoc`

#### isIncluded

    public boolean isIncluded()

Specified by:
  `isIncluded` in interface `GroovyDoc`

#### isMethod

    public boolean isMethod()

Specified by:
  `isMethod` in interface `GroovyDoc`

#### isOrdinaryClass

    public boolean isOrdinaryClass()

Specified by:
  `isOrdinaryClass` in interface `GroovyDoc`

#### tags

    public GroovyTag[] tags()

#### setDeprecated

    public void setDeprecated(boolean deprecated)